Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 90374 - Luabind 6-r1 is incompatible with boost 1.32 (which is in testing)
Summary: Luabind 6-r1 is incompatible with boost 1.32 (which is in testing)
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: C++ Team [disbanded]
URL: http://lists.boost.org/boost-users/20...
Whiteboard:
Keywords:
: 87263 (view as bug list)
Depends on: 113543
Blocks:
  Show dependency tree
 
Reported: 2005-04-25 07:40 UTC by Saul Hazledine
Modified: 2006-08-01 19:15 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
luabind 0.7 ebuild (luabind-7.ebuild,786 bytes, application/octet-stream)
2006-02-04 08:29 UTC, Cyril Romain
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Saul Hazledine 2005-04-25 07:40:41 UTC
I just hit the incompatibility described here:
http://lists.boost.org/boost-users/2004/11/8505.php
Since boost 1.32 is in testing I am raising this issue. Currently, there isn't a newer release of luabind that fixes this problem.
I believe that bug 87263 and this are different since this error is only down to the version of boost and not the compiler.

Reproducible: Always
Steps to Reproduce:
ACCEPT_KEYWORDS="~x86" emerge dev-libs/boost
ACCEPT_KEYWORDS="~x86" emerge dev-libs/luabind

cat <<EOCODE > broken.cc
extern "C"
{
        #include "lua.h"
        #include "lauxlib.h"
        #include "lualib.h"
}

#include <luabind/luabind.hpp>
EOCODE

g++ -o broken broken.cc
Actual Results:  
 error: no class template named `apply_if' in `boost::mpl'

Expected Results:  
The compile should have complained about no 'main' instead.

I'm new to Gentoo and am interested how this sort of situation is handled. Does
luabind become 'masked' when boost 1.32 becomes 'stable' or does boost 1.32 get
delayed until a new version of luabind becomes available? Both these libraries a
very useful although boost is the more popular one.
Comment 1 Ryan Phillips (RETIRED) gentoo-dev 2005-04-26 09:14:37 UTC
Which version of GCC are you using?

This individual says that he has it working with 1.32
http://sourceforge.net/mailarchive/forum.php?thread_id=7038060&forum_id=32657
Comment 2 Ryan Phillips (RETIRED) gentoo-dev 2005-04-26 09:45:32 UTC
Perhaps checking out the project from CVS and testing that would work.  I see that they have made a few updates for 1.32

If it works I can make a snapshot of the package and place that into portage.
Comment 3 Disenchanted (RETIRED) gentoo-dev 2005-04-26 17:01:08 UTC
if you read the links provided by you and rphillips you can see that luabind uses deprecated functions and also that boost 1.32.0 works and that it is a luabind   incompatability with gcc-3.4, both things neither boost nor gcc can fix, hope this helps you in any way
Comment 4 Ryan Phillips (RETIRED) gentoo-dev 2005-06-30 14:44:58 UTC
force luabind to be dependent on boost 1.31 until a new release is made
Comment 5 Mark Loeser (RETIRED) gentoo-dev 2005-07-02 19:26:52 UTC
*** Bug 87263 has been marked as a duplicate of this bug. ***
Comment 6 Disenchanted (RETIRED) gentoo-dev 2005-11-25 10:51:52 UTC
luabind needs to be fixed to work with current stable boost-1.33.0-r1 instead of
depending on functions that existed in some version but are not part of the
boost interface, boost-1.31.0 must be removed from the tree, with it all deps on it

please fix luabind, get a new version that is fixed or mask luabind due to its
broken code.

Comment 7 Cyril Romain 2006-02-03 16:03:43 UTC
Luabind-0.7 was released on 27th January 2006. It would be great to create an ebuild for this new release !
(http://www.rasterbar.com/products/luabind.html)

This release requires Boost 1.32.0 or 1.33.0.

From the tarball available at http://sourceforge.net/projects/luabind, I succeed to compile Luabind-0.7 with Boost 1.32.0-r4 and GCC 3.4.4-r1; as well as with Boost 1.33.1 and GCC 3.4.4-r1.

The tarball as is compiles except the test directory because '-ldl' is missing in the test/Makefile. (I'll report soon this bug in the luabind mailing list).
Comment 8 Cyril Romain 2006-02-04 08:29:11 UTC
Created attachment 78860 [details]
luabind 0.7 ebuild

Because the previous version was named luabind-b6-r1 instead of luabind-0.6_beta-r1, I had to name the ebuild luabind-7 instead of luabind-0.7 for emerge to understand it is newer.
Comment 9 James Jones 2006-06-11 12:29:29 UTC
I've confirmed the attached luabind 0.7 ebuild as working on my system; this should go into portage.
Comment 10 Jakub Moc (RETIRED) gentoo-dev 2006-06-12 01:01:51 UTC
Re-assign wrt Bug 136369.
Comment 11 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-08-01 19:15:27 UTC
removed